-- Added updateTick append to compensate for baleGrabberDropBale[x] resetting anim/baleJoint
-- Added postLoad append to account for anim change if bales loaded from previous save
-- put together by alfalfa6945

BaleLoader.newUpdateTick = function(self, dt)
	if self.spec_animatedVehicle.animations["balesToThirdRow"] then
		if self.spec_baleLoader.grabberMoveState == BaleLoader.GRAB_DROP_BALE and self.spec_baleLoader.currentBaleGrabberDropBaleAnimName == "baleGrabberDropBale1" then
			if self:getAnimationTime("baleGrabberDropBale1") >= 0.26 and not self:getIsAnimationPlaying("balesToThirdRow") then
				self:playAnimation("balesToThirdRow", 1, nil, true)
			end
		end
		if self.spec_baleLoader.emptyState == BaleLoader.EMPTY_SINK then
			if self.spec_animatedVehicle.animations["emptyRotate"].currentSpeed < 0 and not self:getIsAnimationPlaying("balesToThirdRow") then
				self:playAnimation("balesToThirdRow", -1, nil, true)
			end
		end
	end
end
BaleLoader.onUpdateTick = Utils.appendedFunction(BaleLoader.onUpdateTick, BaleLoader.newUpdateTick)

BaleLoader.newPostLoad = function(self, savegame)
	if self.spec_animatedVehicle.animations["balesToThirdRow"] then
		if self.spec_baleLoader.startBalePlace.count > 1 then
			self:playAnimation("balesToThirdRow", 1, nil, true)
		end
	end
end
BaleLoader.onPostLoad = Utils.appendedFunction(BaleLoader.onPostLoad, BaleLoader.newPostLoad)